Summary:	Picard, the Next-Generation MusicBrainz Tagger
Summary(pl.UTF-8):	Picard - znaczniki MusicBrainz nowej generacji
Name:		picard
Version:	2.8.5
Release:	3
License:	GPL v2+
Group:		X11/Applications/Multimedia
Source0:	http://ftp.musicbrainz.org/pub/musicbrainz/picard/%{name}-%{version}.tar.gz
# Source0-md5:	7bea5a3963d27ed4d069ab7dd3ac3485
Patch0:		%{name}-desktop.patch
URL:		https://picard.musicbrainz.org/
BuildRequires:	gettext-tools
BuildRequires:	libstdc++-devel
BuildRequires:	pkgconfig
BuildRequires:	python3-PyQt5-uic
BuildRequires:	python3-babel >= 2.9.1
BuildRequires:	python3-devel >= 1:3.6
BuildRequires:	python3-setuptools
# PyInstaller >= 4.10?
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	python3-libdiscid
Requires:	python3-modules >= 1:3.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The project code-named Picard is the next generation MusicBrainz
tagging application. This new tagging concept is Release oriented, as
opposed to track oriented like the ClassicTagger was. Picard is
written in Python, which is a cross-platform language - this allows
the same code to run both on Windows and on Linux. Before too long we
will add Mac OS X support as well.

%description -l pl.UTF-8
Projekt o nazwie Picard jest programem nowej generacji do generowania
znaczników MusicBranz. Picard jest napisany w Pythonie, który jest
językiem cross-platform - co pozwala uruchamiać ten sam kod zarówno
pod Windows jak i Linuksem. Niedługo zostanie dodana obsługa Mac OS X.

%prep
%setup -q -n %{name}-release-%{version}
%patch0 -p1

%{__sed} -i -e '1 s|/usr/bin/env python3|%{__python3}|g' \
	tagger.py.in scripts/picard.in

# unify (only this file here, other picard domains already use "pt" name)
%{__mv} po/attributes/{pt_PT,pt}.po

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

# unify names
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{ms_MY,ms}
# unsupported by glibc (as of 2.29)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{es_419,sco,zh-Hans,zh}

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS.txt NEWS.md README.md
%attr(755,root,root) %{_bindir}/picard
%dir %{py3_sitedir}/%{name}
%{py3_sitedir}/%{name}/*.py
%{py3_sitedir}/%{name}/__pycache__
%{py3_sitedir}/%{name}/acoustid
%{py3_sitedir}/%{name}/browser
%{py3_sitedir}/%{name}/const
%{py3_sitedir}/%{name}/coverart
%{py3_sitedir}/%{name}/disc
%{py3_sitedir}/%{name}/formats
%{py3_sitedir}/%{name}/plugins
%{py3_sitedir}/%{name}/script
%{py3_sitedir}/%{name}/ui
%dir %{py3_sitedir}/%{name}/util
%{py3_sitedir}/%{name}/util/*.py
%attr(755,root,root) %{py3_sitedir}/%{name}/util/_astrcmp.cpython-*.so
%{py3_sitedir}/%{name}/util/__pycache__
%{py3_sitedir}/%{name}/webservice
%{py3_sitedir}/%{name}-%{version}-py*.egg-info
%{_datadir}/metainfo/org.musicbrainz.Picard.appdata.xml
%{_desktopdir}/org.musicbrainz.Picard.desktop
%{_iconsdir}/hicolor/*x*/apps/org.musicbrainz.Picard.png
%{_iconsdir}/hicolor/scalable/apps/org.musicbrainz.Picard.svg
%changelog
* Sun Jun 25 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/picard.git;a=log;h=master

* Sun Jun 25 2023 Jakub Bogusz <qboosh@pld-linux.org> f749d39
- package ms locale (with unified dir name); release 3

* Sun Jun 25 2023 Jan Rękorajski <baggins@pld-linux.org> 383ccd2
- remove unsupported locale, rel 2

* Tue Jun 20 2023 Jakub Bogusz <qboosh@pld-linux.org> 778ea9e
- updated to 2.8.5

* Sun Mar 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3e9337e
- Release 7 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> a46f65c
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 908fef0
- rebuild with separate debuginfo build-ids

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> 605abaa
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> c44d9d4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sat Aug 03 2019 Jakub Bogusz <qboosh@pld-linux.org> b1c8d37
- unify pt[_PT] locale name for picard-attributes domain
- added PyQt5-no-egg patch (PyQt5 in PLD doesn't provide .egg-info, so don't require it)
- release 2

* Wed Jul 31 2019 Jakub Bogusz <qboosh@pld-linux.org> dfe2220
- updated to 2.1.3 (python3+PyQt5 based now)
- updated desktop patch

* Sat Apr 22 2017 Jakub Bogusz <qboosh@pld-linux.org> cb1790a
- updated to 1.4.1

* Sun Sep 11 2016 Elan Ruusamäe <glen@delfi.ee> 75ace44
- install plugins from contrib

* Sun Sep 11 2016 Elan Ruusamäe <glen@delfi.ee> 3c28529
- build fixes and cosmetics

* Sun Sep 11 2016 Elan Ruusamäe <glen@delfi.ee> c20bdda
- 1.3.2 (2015-01-07)

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> 93dad34
- rel. 1

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> 4a3edd0
- packaged countries and attributes translations

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> a9990af
- rm 'sco' locale (Scottish Engish?)

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> fa63611
- added patch

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> cb6d3da
- rm BR: ffmpeg-devel and libofa-devel

* Thu Jan 22 2015 Szymon Siwek <sls@pld-linux.org> 27b9101
- updated build directory name

